> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyberis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search intelligence

## Scope and credits

| Requirement     | Value                 |
| --------------- | --------------------- |
| Required scopes | `read:intel`          |
| Credits         | 4 credits per request |


## OpenAPI

````yaml POST /v2/intel-search
openapi: 3.1.0
info:
  description: Deterministic, evidence-backed threat assessment API for machine consumers.
  title: Threat Investigator API v2
  version: 0.1.0
servers: []
security: []
paths:
  /v2/intel-search:
    post:
      tags:
        - Intel
      summary: General intelligence search with bounded report capsules
      operationId: intel_search_v2_intel_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntelSearchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntelSearchResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IntelSearchRequest:
      additionalProperties: false
      properties:
        agent_context:
          anyOf:
            - $ref: '#/components/schemas/AgentContext'
            - type: 'null'
        max_results:
          default: 10
          maximum: 50
          minimum: 1
          title: Max Results
          type: integer
        query:
          maxLength: 1024
          minLength: 3
          title: Query
          type: string
        source_filters:
          anyOf:
            - items:
                type: string
              maxItems: 20
              type: array
            - type: 'null'
          title: Source Filters
        time_window_days:
          default: 30
          maximum: 3650
          minimum: 1
          title: Time Window Days
          type: integer
      required:
        - query
      title: IntelSearchRequest
      type: object
    IntelSearchResponse:
      additionalProperties: false
      properties:
        items:
          items:
            $ref: '#/components/schemas/IntelSearchItem'
          title: Items
          type: array
        max_results:
          title: Max Results
          type: integer
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        query:
          title: Query
          type: string
        status:
          enum:
            - ok
            - no_results
          title: Status
          type: string
      required:
        - status
        - query
        - max_results
        - items
        - metadata
      title: IntelSearchResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AgentContext:
      additionalProperties: false
      properties:
        client:
          anyOf:
            - $ref: '#/components/schemas/AgentClientInfo'
            - type: 'null'
        constraints:
          anyOf:
            - $ref: '#/components/schemas/AgentConstraints'
            - type: 'null'
        objective:
          maxLength: 280
          minLength: 8
          title: Objective
          type: string
        parent_step_id:
          anyOf:
            - maxLength: 64
              type: string
            - type: 'null'
          title: Parent Step Id
        priority:
          anyOf:
            - enum:
                - low
                - normal
                - high
                - urgent
              type: string
            - type: 'null'
          title: Priority
        requested_outcome:
          maxLength: 280
          minLength: 3
          title: Requested Outcome
          type: string
        run_id:
          maxLength: 64
          minLength: 4
          title: Run Id
          type: string
        step_id:
          maxLength: 64
          minLength: 1
          title: Step Id
          type: string
        tags:
          anyOf:
            - items:
                type: string
              maxItems: 12
              type: array
            - type: 'null'
          title: Tags
        workflow_stage:
          enum:
            - resolve
            - evidence
            - relationships
            - assessment
            - hunt
            - hydrate
            - batch
            - finalize
            - other
          title: Workflow Stage
          type: string
      required:
        - objective
        - requested_outcome
        - workflow_stage
        - run_id
        - step_id
      title: AgentContext
      type: object
    IntelSearchItem:
      additionalProperties: false
      properties:
        abstract_stub:
          title: Abstract Stub
          type: string
        access_hint:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Hint
        access_level:
          enum:
            - public
            - restricted
          title: Access Level
          type: string
        canonical_entities:
          items:
            $ref: '#/components/schemas/IntelSearchEntityRef'
          title: Canonical Entities
          type: array
        claim_tags:
          items:
            type: string
          title: Claim Tags
          type: array
        match_reasons:
          items:
            type: string
          title: Match Reasons
          type: array
        match_score:
          maximum: 1
          minimum: 0
          title: Match Score
          type: number
        published_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Published Date
        report_id:
          title: Report Id
          type: integer
        report_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Uuid
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        title:
          title: Title
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      required:
        - report_id
        - title
        - access_level
        - canonical_entities
        - claim_tags
        - abstract_stub
        - match_score
        - match_reasons
      title: IntelSearchItem
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AgentClientInfo:
      additionalProperties: false
      properties:
        agent_name:
          anyOf:
            - maxLength: 64
              type: string
            - type: 'null'
          title: Agent Name
        agent_version:
          anyOf:
            - maxLength: 32
              type: string
            - type: 'null'
          title: Agent Version
        framework:
          anyOf:
            - maxLength: 32
              type: string
            - type: 'null'
          title: Framework
      title: AgentClientInfo
      type: object
    AgentConstraints:
      additionalProperties: false
      properties:
        latency_budget_ms:
          anyOf:
            - maximum: 30000
              minimum: 50
              type: integer
            - type: 'null'
          title: Latency Budget Ms
        max_results_budget:
          anyOf:
            - maximum: 200
              minimum: 1
              type: integer
            - type: 'null'
          title: Max Results Budget
        min_resolution_confidence:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          title: Min Resolution Confidence
        strict_mode:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict Mode
      title: AgentConstraints
      type: object
    IntelSearchEntityRef:
      additionalProperties: false
      properties:
        canonical_id:
          title: Canonical Id
          type: string
        canonical_name:
          title: Canonical Name
          type: string
        confidence:
          maximum: 1
          minimum: 0
          title: Confidence
          type: number
        entity_type:
          enum:
            - actor
            - malware
            - campaign
            - cve
          title: Entity Type
          type: string
      required:
        - entity_type
        - canonical_id
        - canonical_name
        - confidence
      title: IntelSearchEntityRef
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: ApiKey <key_id>:<secret>
      in: header
      name: Authorization
      type: apiKey

````